# Type Aliases

The following type aliases are available globally.

- `RefreshedUTXOs`

  Undocumented

  #### Declaration

  Swift

      public typealias RefreshedUTXOs = (inserted: [UnspentTransactionOutputEntity], skipped: [UnspentTransactionOutputEntity])

- `ConsensusBranchID`

  Undocumented

  #### Declaration

  Swift

      public typealias ConsensusBranchID = Int32

- `ExtendedFullViewingKey`

  Groups a Sapling Extended Full Viewing Key an a tranparent address extended public key.

  #### Declaration

  Swift

      public typealias ExtendedFullViewingKey = String

- `ExtendedPublicKey`

  Undocumented

  #### Declaration

  Swift

      public typealias ExtendedPublicKey = String

- `TransparentAddress`

  Undocumented

  #### Declaration

  Swift

      public typealias TransparentAddress = String

- `SaplingShieldedAddress`

  Undocumented

  #### Declaration

  Swift

      public typealias SaplingShieldedAddress = String

- `Channel`

  Undocumented

  #### Declaration

  Swift

      public typealias Channel = GRPC.GRPCChannel

- `BlockHeight`

  Undocumented

  #### Declaration

  Swift

      public typealias BlockHeight = Int

- `CompactBlockRange`

  Undocumented

  #### Declaration

  Swift

      public typealias CompactBlockRange = ClosedRange<BlockHeight>

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.